# $Revision: 1.41 $, $Date: 2002/08/30 19:47:47 $
Summary:	Ident server with masquerading support
Summary(pl):	Serwer ident z obsug maskowanych adresw IP
Name:		oidentd
Version:	2.0.4
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://prdownloads.sourceforge.net/ojnk/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.users
Source3:	%{name}.sysconfig
Source4:	%{name}.conf
URL:		http://ojnk.sourceforge.net/
BuildRequires:	flex
BuildRequires:	bison
Provides:	identserver
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	linux-identd
Obsoletes:	linux-identd-inetd
Obsoletes:	linux-identd-standalone
Obsoletes:	pidentd

%description
Oidentd is an ident (rfc1413) daemon that runs on Linux, FreeBSD,
OpenBSD and Solaris 2.x. Oidentd supports most features of pidentd
plus more. Most notably, oidentd allows users to specify the identd
response that the server will output when a successful lookup is
completed. Oidentd supports IP masqueraded connections on Linux, and
is able to forward requests to hosts that masq through the host on
which oidentd runs.

%description -l pl
Oident jest serwerem usugi ident (zgodnym z rfc1413) dziaajcym pod
kontrol systemw operacyjnych takich jak Linux, FreeBSD, OpenBSD oraz
Solaris 2.x. Oident posiada wikszo funkcji programu pidentd oraz
troch dodatkowych. Jedn z nich jest to, e oident pozwala
uytkownikom na zmian swojej nazwy przesyanej przez serwer na
dowoln inn. Dodatkowo wspiera przesyanie odwoa do usugi ident
poprzez IP masqueradeing.

%prep
%setup  -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{sysconfig,rc.d/init.d}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/oidentd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/oidentd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/oidentd_masq.conf
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/oidentd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/oidentd ]; then
        /etc/rc.d/init.d/oidentd restart 1>&2
else
        echo "Type \"/etc/rc.d/init.d/oidentd start\" to start inet server" 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/oidentd ]; then
		/etc/rc.d/init.d/oidentd stop >&2
	fi
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog
%config(noreplace) %verify(not mtime md5 size) %{_sysconfdir}/oidentd_masq.conf
%config(noreplace) %verify(not mtime md5 size) %{_sysconfdir}/oidentd.conf
%attr(755,root,root) %{_sbindir}/oidentd
%attr(754,root,root) /etc/rc.d/init.d/oidentd
%attr(640,root,root) %config(noreplace) %verify(not mtime md5 size) /etc/sysconfig/oidentd
%{_mandir}/man8/*
%{_mandir}/man5/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: oidentd.spec,v $
Revision 1.41  2002/08/30 19:47:47  kloczek
- release 2: added linux-identd{,inetd,standalone} to Obsoletes for allow switch from
  linux-identd.

Revision 1.40  2002/08/24 18:40:57  kloczek
- updated to 2.0.4: addec support for lookups using the netlink socket
  diagnostics interface on Linux and porting to other OSes fixes.

Revision 1.39  2002/07/16 20:41:17  kloczek
- release 2: use new %doc and remove INSTALL from %doc.

Revision 1.38  2002/03/20 23:07:58  djrzulf
- updated to 2.0.3,
- STBR,

Revision 1.37  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.36  2002/01/18 02:14:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2001/12/29 12:18:27  areq
- 2.0.2, STBR
  (Fixed a bug in the forwarding code)

Revision 1.34  2001/10/03 20:05:18  orzech
- upgrade to 2.0.1; now oidentd works fine; STB

Revision 1.33  2001/10/02 09:51:43  orzech
- in %post: restart not reload after upgrade (reload doesn't work)

Revision 1.32  2001/10/02 09:38:50  orzech
- oidentd-masq.conf.patch - lines starting with `#' and lines containing
	whitespaces are allowed in /etc/oidentd_masq.conf
- rel 2

Revision 1.31  2001/10/01 09:30:06  orzech
- s/byacc/bison/

Revision 1.30  2001/09/30 10:27:49  orzech
- upgrade to 2.0.0 (new stable, fixed problems with MASQ/NAT)
- added BReq: byacc; removed Breq: autoconf, automake
- pl translation fixes
- adapterized
- release 1, STB

Revision 1.29  2001/09/25 10:42:42  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.28  2001/09/15 14:03:29  areq
- update to 1.9.9.1, STBR

Revision 1.27  2001/09/14 22:01:52  areq
- update to cvs 20010914
- Relase 7, STBR
- remove am15.patch

Revision 1.26  2001/09/10 08:17:44  kloczek
- release 6: added am15 patch (fixes for automake 1.5).

Revision 1.25  2001/09/07 09:18:00  kloczek
- release 5: added flex to BuildReqires.

Revision 1.24  2001/08/31 18:43:04  areq
- add oidentd_masq.conf
- Release 4 , STBR

Revision 1.23  2001/08/30 17:01:04  areq
- remove Prereq:         rc-inetd
- Release 3, STBR

Revision 1.22  2001/08/29 17:30:03  kloczek
- cosmetics in %preun script.

Revision 1.21  2001/08/29 12:48:28  areq
- doesn't support inetd any more
- add /etc/rc.d/init.d/oidentd, /etc/sysconfig/oident
- add sample /etc/oidentd.conf
- Release 2, STBR
- (Release 1 not work ;( )

Revision 1.20  2001/08/26 12:32:33  areq
- 1.9.9, STBR

Revision 1.19  2001/08/12 13:03:25  mkochano
- Added fix for missing SVR4. Somebody who knows how ac/am works should take a
  look at this because I don't understand this patch...

Revision 1.18  2001/08/12 00:29:24  mkochano
- Release 5.
- Rebuilt with modified rc-inetd config (group changed to proc so it can
  access restricted /proc).

Revision 1.17  2001/08/09 18:06:18  mkochano
- Release 4.
- Rebuilt with updated oidentd.inetd (run as nobody, not root and enabled
  masquerade support).

Revision 1.16  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.15  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.13  2001/03/15 03:04:17  kloczek
- run "automake -a -c" in %build for allow build oidentd in automake > 1.4
  enviroment,
- added autoconf, automake to BuildRequires.

Revision 1.12  2001/03/15 02:54:30  kloczek
- release 3: fixed bug in %post (catched by Radoslaw Kojdecki).

Revision 1.11  2001/01/04 19:41:30  misiek
ipv6 support from oident cvs

Revision 1.10  2000/10/22 23:26:30  kloczek
- updated to 1.7.1.

Revision 1.9  2000/10/22 15:11:13  kloczek
- release 2.

Revision 1.8  2000/10/22 09:51:28  misiek
added missing fi

Revision 1.7  2000/10/16 20:01:46  kloczek
- updated to 1.7.0.

Revision 1.6  2000/10/02 14:51:20  kloczek
- release 2: use rpm new automation suit.

Revision 1.5  2000/09/24 19:07:27  kloczek
- more fixesin %install.

Revision 1.4  2000/09/24 19:03:02  kloczek
- fixed %instal and %files list (do not use .gz sufix for man page entries).

Revision 1.3  2000/09/24 18:38:13  kloczek
- fixed typo and Source url changed to ftp.

Revision 1.2  2000/09/24 18:34:20  kloczek
- Requires for rc-scripts changed to Prereq,
- added Prodides: identserver,
- added Obsoletes: pidentd,
- changed Summary(pl) and pl %description.

Revision 1.1  2000/09/23 20:59:53  alchemyx
- spec written from scratch
